Main Page Modules Class Hierarchy Compound List File List Compound Members

# cEndModuleException Class Reference

`#include <cexception.h>`

Inheritance diagram for cEndModuleException::

List of all members.

## Public Methods
| cEndModuleException (bool moduleToBeDeleted=false)
bool | moduleToBeDeleted ()

## Detailed Description

This exception is only thrown from cModule::end(), and from deleteModule() if the current module is to be deleted, in order to exit that module immediately.

## Constructor & Destructor Documentation

cEndModuleException::cEndModuleException ( | bool moduleToBeDeleted = false )`[inline]`

| Constructor. If the bool argument is true, the module should be deleted.

## Member Function Documentation

bool cEndModuleException::moduleToBeDeleted ( | )`[inline]`

| If true, the module should be deleted.

The documentation for this class was generated from the following file:

- cexception.h